html, body {
  height: 100%;
  margin: 0;
  font-family: "San Francisco", sans-serif;
}

.header {
  display: flex;
  justify-content: left;
  align-items: center;
  height: 80px;
  background-color: #E7F3CA;
  padding: 10px;
  border-bottom-style: solid;
}

header::after {
  content: "";
  clear: both;
  display: table;
}

.image {
  width: 90%;
  max-width: 100px;
}

.outline {
  outline-style: solid !important;
  outline-width: 3px !important;
}

#search {
  border: none;
  outline: none;
  width: 150%;
  height: 35px;
  display: block;
  margin-left: 10px;
  border-radius: 30px;
  padding: 0 1rem;
}

#profileContainer>img {
  width: 70px;
  height: 70px;
  border-radius: 100px;
}

.flex {
  display: flex !important;
  justify-content: center !important;
}

#profileContainer {
  margin-left: auto;
}

#welcomeMsg {
  align-items: center;
  margin: 10px;
}

/**profile dropdown menu**/
.action {
  position: fixed;
  top: 20px;
  right: 30px;
}

.action .profile {
  position: relative;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.action .profile img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  max-width: 100px;
  height: 100%;
  object-fit: cover;
}

/**
.action .menu::before{
    content: '';
    position: absolute;
    top: -5px;
    right: 28px;
    width: 20px;
    height: 20px;
    background: #ffe7c9;
    transform: rotate(45deg);
    outline-style: solid !important;
    outline-width: 3px !important;
}
**/
.action .menu {
  position: absolute;
  top: 120px;
  right: -10px;
  padding: 10px 20px;
  background: #ffe7c9;
  width: 200px;
  border-radius: 15px;
  transition: 0.5s;
  visibility: hidden;
  opacity: 0;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.action .menu.active {
  top: 80px;
  visibility: visible;
  opacity: 1;
}

.action .menu h3 {
  width: 100%;
  text-align: center;
  font-size: 18px;
  padding: 20px 0;
  font-weight: 500;
  color: #555;
  line-height: 1.2em;
}

.action .menu h3 span {
  font-size: 14px;
  color: #cecece;
  font-weight: 400;
}

.action .menu ul li {
  margin-left: -30px;
  list-style: none;
  padding: 10px 0;
  border-top: 1px solid rgba(0, 0, 0, 0.05);
  align-items: center;
  justify-content: center;
  text-decoration: none;
}

.action .menu ul li img {
  max-width: 20px;
  margin-right: 10px;
  opacity: 0.5;
  transition: 0.5s;
}

.action .menu ul li:hover img {
  opacity: 1;
}

.action .menu ul li a {
  display: inline-block;
  text-decoration: none;
  color: #555;
  font-weight: 500;
  transition: 0.5s;
}

/* Product Slider */
.product {
  position: relative;
  overflow: hidden;
  padding: 20px;
  background-color: #cfb089;
}

.product-category {
  padding: 0 10vw;
  font-size: 30px;
  font-weight: 500;
  margin-bottom: 40px;
  text-transform: capitalize;
}

.product-container {
  padding: 0 6vw;
  display: flex;
  overflow-x: scroll;
  scroll-behavior: smooth;
}

.pre-btn,
.nxt-btn {
  border: none;
  width: 8vw;
  height: 100%;
  position: absolute;
  top: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  background: transparent;
  cursor: pointer;

}

.pre-btn {
  left: 0;
  transform: rotate(180deg);
}

.nxt-btn {
  right: 0;
}

.pre-btn img,
.nxt-btn img {
  opacity: 0.2;
}


.pre-btn:hover img,
.nxt-btn:hover img {
  opacity: 1;
}

/* Item Card */
.card {
  flex: 0 0 auto;
  width: 260px;
  height: 500px;
  margin: 10px;
  border-radius: 20px;
  border: solid 1px lightgrey;
  background-color: white;
  border-radius: 10px;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.card-content {
  padding: 5px;
  min-height: 400px;
  height: 100%;
}

.card:hover {
  box-shadow: 0 0 5px grey;
}

.card-image {
  margin-top: 50px;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 5px;
  width: 152px !important;
  height: 152px !important;
}

.card-image img {
  width: 100%;
}

.card-body {
  padding: 0.5rem;
  text-align: center;
}

.card-body p {
  color: #bdbebe;
}

.card-body button {
  border: 0;
  width: 80%;
  border-radius: 50px;
  padding: 0.5rem;
  font-family: inherit;
  font-size: medium;
  font-weight: 500;
  background-color: rgb(52, 137, 47);
  color: white;
  letter-spacing: 0.05em;
}

.card-body button:hover {
  background-color: rgb(22, 102, 18);
}

html,
body {
  height: 100%;
  margin: 0;
}

.header {
  display: flex;
  justify-content: left;
  align-items: center;
  height: 80px;
  background-color: #E7F3CA;
  padding: 10px;
}

header::after {
  content: "";
  clear: both;
  display: table;
}

.image {
  width: 90%;
  max-width: 100px;
}

.outline {
  outline-style: solid !important;
  outline-width: 3px !important;
}

#search {
  border: none;
  outline: none;
  width: 200%;
  height: 35px;
  display: block;
  margin-left: 10px;
  border-radius: 30px;
  padding: 0 1rem;
}

#profileContainer>img {
  width: 70px;
  height: 70px;
  border-radius: 100px;
}

.flex {
  display: flex !important;
  justify-content: center !important;
}

#profileContainer {
  margin-left: auto;
}

#welcomeMsg {
  align-items: center;
  margin: 10px;
}

/**profile dropdown menu and shopping cart**/
.action {
  position: relative;
  top: 0px;
  right: 20px;
}

.action .profile {
  position: relative;
  margin-right: 10px;
  margin-left: 10px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.action .profile img {
  position: absolute;
  top: 0;
  left: 0px;
  width: 100%;
  max-width: 100px;
  height: 100%;
  object-fit: cover;
}

/* 
.action .menu::before{
    content: '';
    position: absolute;
    top: -5px;
    right: 28px;
    width: 20px;
    height: 20px;
    background: #ffe7c9;
    transform: rotate(45deg);
    outline-style: solid !important;
    outline-width: 3px !important;
} */

.action .menu {
  position: absolute;
  top: 120px;
  right: -10px;
  padding: 10px 20px;
  background: #ffe7c9;
  width: 200px;
  border-radius: 15px;
  transition: 0.5s;
  visibility: hidden;
  opacity: 0;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.action .menu.active {
  top: 80px;
  visibility: visible;
  opacity: 1;
}

.action .menu h3 {
  width: 100%;
  text-align: center;
  font-size: 18px;
  padding: 0px 0;
  font-weight: 500;
  color: #202020;
  line-height: 1.2em;
}

.action .menu h3 span {
  font-size: 14px;
  color: #a5a5a5;
  font-weight: 400;
}

.action .menu ul li {
  list-style: none;
  padding: 10px 0;
  align-items: center;
  justify-content: center;
}

.action .menu ul li img {
  max-width: 20px;
  margin-right: 10px;
  opacity: 0.5;
  transition: 0.25s;
}

.action .menu ul li:hover img {
  opacity: 1;
}

.action .menu ul li a {
  display: inline-block;
  text-decoration: none;
  color: #202020;
  font-weight: 500;
  opacity: 0.5;
  transition: 0.25s;
}

.action .menu ul li:hover a {
  opacity: 1;
}

.action .cart {
  position: relative;
  margin-right: 10px;
  margin-left: 10px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  overflow: hidden;
  cursor: pointer;
  background-color: #ffffff;
  outline-style: solid !important;
  outline-width: 3px !important;
}

.action .cart img{
    position: absolute;
    padding: 10px;
    top: 0px;
    left: -5px;
    width: 80%;
    max-width: 100px;
    height: 80%;
    object-fit: cover;
}

/* The footer is fixed to the bottom of the page */

footer {
  border-top-style: solid;
}

.footer-distributed {
  background-color: #E7F3CA;
  box-sizing: border-box;
  width: 100%;
  text-align: left;
  font: bold 16px sans-serif;
  padding: 50px 50px 60px 50px;
  margin-top: 0px;
  margin-bottom: 0px;
}

.footer-distributed .footer-left, .footer-distributed .footer-center, .footer-distributed .footer-right {
  display: inline-block;
  vertical-align: top;
}

/* Footer left */

.footer-distributed .footer-left {
  width: 30%;
}

.footer-distributed h3 {
  color: #839C46;
  font: normal 36px 'Cookie', cursive;
  margin: 0;
}


.footer-distributed h3 span {
  color: #5C7427;
}

/* Footer links */

.footer-distributed .footer-links {
  color: #839C46;
  margin: 20px 0 12px;
}

.footer-distributed .footer-links a {
  display: inline-block;
  line-height: 1.8;
  text-decoration: none;
  color: inherit;
}

.footer-distributed .footer-company-name {
  color: #5e8d44;
  font-size: 14px;
  font-weight: normal;
  margin: 0;
}

/* Footer Center */

.footer-distributed .footer-center {
  width: 35%;
}

.footer-distributed .footer-center i {
  background-color: #33383b;
  color: #839C46;
  font-size: 25px;
  width: 38px;
  height: 38px;
  border-radius: 50%;
  text-align: center;
  line-height: 42px;
  margin: 10px 15px;
  vertical-align: middle;
}

.footer-distributed .footer-center i.fa-envelope {
  font-size: 17px;
  line-height: 38px;
}

.footer-distributed .footer-center p {
  display: inline-block;
  color: #5C7427;
  vertical-align: middle;
  margin: 0;
}

.footer-distributed .footer-center p span {
  display: block;
  font-weight: normal;
  font-size: 14px;
  line-height: 2;
}

.footer-distributed .footer-center p a {
  color: #839C46;
  text-decoration: none;
  ;
}

/* Footer Right */

.footer-distributed .footer-right {
  width: 30%;
}

.footer-distributed .footer-company-about {
  line-height: 20px;
  color: #839C46;
  font-size: 13px;
  font-weight: normal;
  margin: 0;
}

.footer-distributed .footer-company-about span {
  display: block;
  color: #5C7427;
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 20px;
}

.footer-distributed .footer-icons {
  margin-top: 25px;
}

.footer-distributed .footer-icons a {
  display: inline-block;
  width: 35px;
  height: 35px;
  cursor: pointer;
  background-color: #33383b;
  border-radius: 2px;
  font-size: 20px;
  color: #ffffff;
  text-align: center;
  line-height: 35px;
  margin-right: 3px;
  margin-bottom: 5px;
}

.footer-distributed .footer-icons a:hover {
  background-color: #1e4420;
}

.footer-links a:hover {
  color: #1e4420;
}    

@font-face {
  font-family: "San Francisco";
  font-weight: 400;
  src: url("https://applesocial.s3.amazonaws.com/assets/styles/fonts/sanfrancisco/sanfranciscodisplay-regular-webfont.woff");
}